Bug 222499 - cannot build KDE api docs because qt-devel-docs installs in non-standard location
cannot build KDE api docs because qt-devel-docs installs in non-standard loca...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
6
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-12 18:24 EST by Matthew Woehlke
Modified: 2008-05-06 13:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 13:20:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthew Woehlke 2007-01-12 18:24:14 EST
Description of problem:
KDE 3.5.5 is unable to locate the Qt documentation; as a result, it is not
possible to build KDE API documentation ("make apidox").

Version-Release number of selected component (if applicable):
KDE - 3.5.5 stable sources (as downloaded from kde.org)
Qt - 3.3.6-13 (as released with fc6)

How reproducible:
Always

Steps to Reproduce:
1. Install KDE prerequisites
2. Install qt-devel-docs
3. Try to get KDE's 'configure' to find Qt's docs so that KDE's API docs can be
built (QTDOCDIR != no, KDE_HAVE_DOXYGEN != no)
  
Actual results:
configure cannot find Qt docs, as a result:
$ make apidox
make: nothing to be done for 'apidox'

Expected results:
configure finds Qt docs, 'make apidox' does something

Additional info:
This is caused by fc6 choosing an unusual (and non-standard) location for Qt's
documentation, i.e. "/usr/share/doc/qt-devel-3.3.6".

Fixed by:
$ ln -s /usr/share/doc/qt-devel-3.3.6 $QTDIR/doc
...or by installing the doc into one of the "standard" locations, i.e.:
$QTDIR/doc/html /usr/share/doc/packages/qt3/html /usr/lib/qt/doc
/usr/lib/qt3/doc /usr/lib/qt3/doc/html /usr/doc/qt3/html /usr/doc/qt3
/usr/share/doc/qt3-doc /usr/sha
re/qt3/doc/html /usr/X11R6/share/doc/qt/html
Comment 1 Bug Zapper 2008-04-04 01:35:09 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 13:20:33 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.